Subject: RFC 4506 typos

From: Alfred Hönes <[email-masked]>
Date: Thu, 25 May 2006 00:35:15 +0200 (MESZ)

Hello,

reading the recently published STD 67, RFC 4506, I unfortunately
found a few textual issues left over in the published text.
The notes below might be considered for an RFC Errata Note.

(1) Section 6.2, page 18 - typo (word omission)

The words in the 9th line of the text,

    [...] "followed by one or hexadecimal digits" [...]

should say:

    [...] "followed by one or more hexadecimal digits" [...]
                             ^^^^^^

(2) Section 8, 2nd paragraph (page 22) - typo

The RFC says:

   Care must be take to properly encode and decode data to avoid
   attacks.  [...]

it should say:
                    vv
   Care must be taken to properly encode and decode data to avoid
   attacks.  [...]

(3) Subtle inconsistency between Section 6.1 and Section 6.2

On page 17, Section 6.1 states the Notational Convention:

   (2) Terminal symbols are strings of characters surrounded by
       double quotes.
       ^^^^^^
Nevertheless, throughout the new Section 6.2 (on page 18), all
terminal symbols, e.g. the "generalized digits" -- the terminals
to build octal, decimal, and hexadecimal constants, are specified
as characters surrounded by *single* quotes.
                             ^^^^^^
Although this style perhaps was inspired by the `C` language,
IMHO, its use is inconsistent in that context.

Please comment.
I propose to post an RFC Errata Note, for inclusion on the RFC
Errata web page at the RFC Editor's web site, at least to cover
item (1) and item (2) above.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+